//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 6 materials and 20 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 10/03/1999    (03.10.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.1 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <1.000,1.000,1.000> }

camera {  //  Camera Camera01
  location  <      7.201,     -11.685,       3.926>
  direction <        0.0,         0.0,      2.4880> // Aperture is 0.40 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <     -0.468,       0.210,       0.533>
}

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <8.424, -8.353, 6.302>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  MATERIALS  *******
//

#include "title.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

sphere { // Sphere001
  <0,0,0>,1
  material {
    Material1
  }
  no_shadow
  hollow
  scale <0.2, 0.820379, 0.2>
  translate  <-0.3, -0.3, 2.15>
}


plane { // Plane001
  z,0
  material {
    SoilT
  }
  translate  -0.35*z
}




#declare lowerBody = difference {
  sphere { // lowerBodySphere
    <0,0,0>,1
    scale <1.9, 3.35, 0.8>
    translate  <0.0, -0.05, 0.65>
  }
  cylinder { // WheelBox1
    <0,0,1>, <0,0,0>, 1 
    material {
      CannonT
    }
    scale <0.5, 0.5, 1.0>
    rotate <90.0, 0.0, 90.0>
    translate  <1.0, -2.0, 0.15>
  }
  cylinder { // WheelBox2
    <0,0,1>, <0,0,0>, 1 
    material {
      CannonT
    }
    scale <0.5, 0.5, 1.0>
    rotate <90.0, 0.0, 90.0>
    translate  <-2.0, -2.0, 0.15>
  }
  cylinder { // WheelBox3
    <0,0,1>, <0,0,0>, 1 
    material {
      CannonT
    }
    scale <0.5, 0.5, 1.0>
    rotate <90.0, 0.0, 90.0>
    translate  <-2.0, 2.0, 0.15>
  }
  cylinder { // WheelBox4
    <0,0,1>, <0,0,0>, 1 
    material {
      CannonT
    }
    scale <0.5, 0.5, 1.0>
    rotate <90.0, 0.0, 90.0>
    translate  <1.0, 2.0, 0.15>
  }
}
#declare Cannon1 = difference {
  cylinder { // Cylndr2
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 1.5>
    rotate -90.0*x
    translate  <0.3, -1.0, 2.15>
  }
  cylinder { // Cylndr3
    <0,0,1>, <0,0,0>, 1 
    scale <0.08, 0.08, 1.6>
    rotate <90.0, 0.0, 180.0>
    translate  <0.3, -1.05, 2.15>
  }
  translate  0.9*y
}
#declare Cannon2 = difference {
  cylinder { // Cylndr1
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 1.5>
    rotate -90.0*x
    translate  <-0.3, -1.0, 2.15>
  }
  cylinder { // Cylndr4
    <0,0,1>, <0,0,0>, 1 
    scale <0.08, 0.08, 1.6>
    rotate -90.0*x
    translate  <-0.3, -1.05, 2.15>
  }
  translate  0.9*y
}
#declare Cannon = union {
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 0.3, 0.7>
    rotate <180.0, 0.0, 180.0>
    translate  <0.0, 1.7, 1.6>
  }
  object { Cannon1 }
  object { Cannon2 }
  material {
    CannonT
  }
}
#declare upperBody = intersection {
  sphere { // Top
    <0,0,0>,1
    material {
      Glass
    }
    hollow
    scale <1.5, 2.0, 1.0>
    translate  1.0*z
  }
  box { // frame
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 2.0, 0.5>
    translate  1.5*z
  }
  material {
    Glass
  }
}
#declare Wheels = union {
  cylinder { // Wheel1
    <0,0,1>, <0,0,0>, 1 
    material {
      WheelT
    }
    scale 0.4
    rotate <90.0, 0.0, 90.0>
    translate  <1.0, 2.0, -0.05>
  }
  cylinder { // Wheel2
    <0,0,1>, <0,0,0>, 1 
    material {
      WheelT
    }
    scale 0.4
    rotate <90.0, 0.0, 90.0>
    translate  <-1.4, 2.0, -0.05>
  }
  cylinder { // Wheel3
    <0,0,1>, <0,0,0>, 1 
    material {
      WheelT
    }
    scale 0.4
    rotate <90.0, 0.0, 90.0>
    translate  <-1.4, -2.0, -0.05>
  }
  cylinder { // Wheel4
    <0,0,1>, <0,0,0>, 1 
    material {
      WheelT
    }
    scale 0.4
    rotate <90.0, 0.0, 90.0>
    translate  <1.0, -2.0, -0.05>
  }
  material {
    WheelT
  }
  translate  0.15*z
}
merge { // Buggy
  object { lowerBody }
  object { Cannon }
  object { upperBody }
  object { Wheels }
  material {
    BuggyT
  }
  hollow
}


sphere { // Sphere002
  <0,0,0>,1
  material {
    Material1
  }
  no_shadow
  hollow
  scale <0.2, 0.820379, 0.2>
  translate  <0.3, -0.3, 2.15>
}


