#include <iostream>

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/select.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <fcntl.h>

#include "connection.h"
#include "timer.h"
#include "client.h"

void Client::connectToServer(std::string serverName, int serverPort)
{
  struct sockaddr_in serverAddr;

  if((socketID=socket(PF_INET,SOCK_STREAM,0))<0) {
    // TODO: error handling goes here
    std::cerr << "Client::ConnectToServer(): call to socket() failed" << std::endl;
  }

  serverAddr.sin_family=AF_INET;
  serverAddr.sin_port=htons(serverPort);
  serverAddr.sin_addr.s_addr=inet_addr(serverName.c_str());

  if(connect(socketID,(sockaddr*)&serverAddr,sizeof(serverAddr))!=0) {
    // TODO: error handling goes here
    std::cerr << "Client::connectToServer(): call to connect() failed" << std::endl;
  }

  connection=new Connection(socketID);
}

void Client::processMessage(Message *m)
{
  std::cout << "Client::processMessage(): messageID=" << m->getMessageID() << std::endl;
}

void Client::step()
{
  Message *m;

  // process all incoming messages
  while((m=connection->getMessage())!=0) {
    processMessage(m);
  }
}

Connection *Client::getConnection()
{
  return connection;
}
