#ifndef ERROR_H
#define ERROR_H

#include <string>

/*!
 * \class Error
 * \brief standard exception class
 *
 * This is the standard exception class for Quark. It
 * contains not only a brief error message, but also
 * the exact name of the function that threw this 
 * exception.
 */
class Error {
 public:
  Error(std::string message, std::string location)
    {
      this->message=message;
      this->location=location;
    };
  /// returns the exception's message string
  std::string getMessage() { return message; };
  /// returns the throwing function's name
  std::string getLocation() { return location; };
 private:
  std::string message, location;
};

#endif
