#ifndef MESSAGE_H
#define MESSAGE_H

#include <string>

class MessageReader;
class MessageWriter;
class Connection;

class Message {
 public:
  friend class MessageReader;
  friend class MessageWriter;
  friend class Connection;

  Message();
  ~Message();

  void setMessageID(int id) { messageID=id; };
  int getMessageID() { return messageID; };

 private:
  int messageID;
  unsigned short length;
  char *buffer;
};

class MessageReader {
 public:
  MessageReader(Message *m);

  void resetPointer() { pointer=message->buffer; };
  bool endOfMessage() { return ((int)pointer)>((int)message->buffer)+message->length; };

  int readByte();
  short readShort();
  int readInt();
  float readFloat();
  std::string readString();

 private:
  Message *message;
  char *pointer;
};

class MessageWriter {
 public:
  MessageWriter(Message *m);

  void writeByte(int data);
  void writeShort(short data);
  void writeInt(int data);
  void writeFloat(float data);  
  void writeString(std::string data);

 private:
  void resizeBuffer(int newLength);

  Message *message;
  char *pointer;
};

#endif
