#ifndef SERVER_H
#define SERVER_H

#include <vector>
#include <string>

#include "connection.h"
#include "message.h"

class Server {
 public:
  void createServerSocket();
  virtual void processIncomingConnection(Connection *c);
  void processIncomingConnections();
  Connection *getIncomingConnection();

  virtual void processMessage(Message *m);

  void step();

  void broadcastMessage(Message *m);

  int getNumConnections();
  Connection *getConnection(int numConnection);

 private:

  int serverSocket;

  std::vector<Connection *> connections;
};

#endif
