import re

class World:
    def __init__(self):
        self.units=[]

    def loadMap(self, filename):
        self.map=[]
        f=open(filename,"r")

        line=f.readline()
        (width, height)=re.split(" +",line)
        width=int(width)
        height=int(height)
        self.width=width
        self.height=height

        print width, height

        for i in range(height):
            line=f.readline()
            self.map.append(re.split(" +",line))
            for j in range(width):
                self.map[i][j]=int(self.map[i][j])

    def setMap(self, width, height, map):
        self.map=map
        self.width=width
        self.height=height

    def getWidth(self):
        return self.width

    def getHeight(self):
        return self.height

    def getTile(self, x, y):
        return self.map[x][y]

    def registerUnit(self, unit):
        self.units.append(unit)

    def unitAtPosition(self, x, y):
        for i in self.units:
            unitx, unity = i.getPosition()
            sizex, sizey = i.getSize()
            if x > unitx and x < unitx+sizex and y > unity and y < unity+sizey:
                return i

        return 0

    def updateUnits(self):
        for i in self.units:
            i.update()
            i.updateFrame()

    def getCollidingObjects(self, rectangle):
        colliders = []
        x, y, width, height = rectangle
        for i in self.units:
            if i.getCurrentHealth()==0:
                continue
            
            unitx, unity = i.getPosition()
            unitwidth, unitheight = i.getSize()
            if x < unitx and x+width > unitx:
                if y > unity and y < unity+unitheight and x+width > unitx:
                    colliders.append(i)
                elif y < unity and y+height > unity:
                    colliders.append(i)
                elif y < unity+unitheight and y+height > unity+unitheight:
                    colliders.append(i)
            elif x < unitx+unitwidth and x+width > unitx+unitwidth:
                if y > unity and y < unity+unitheight and x+width > unitx:
                    colliders.append(i)
                elif y < unity and y+height > unity:
                    colliders.append(i)
                elif y < unity+unitheight and y+height > unity+unitheight:
                    colliders.append(i)
                    
        return colliders

if __name__ == "__main__":
    world=World()
    world.loadMap("Test")
